# Uses of Interface
org.italiangrid.voms.VOMSGenericAttribute

Packages that use VOMSGenericAttribute
Package
Description
org.italiangrid.voms
This package provides main VOMS Java APIs class and interfaces.
org.italiangrid.voms.ac.impl
Implementation classes for VOMS attributes validation and parsing.
org.italiangrid.voms.request.impl
This package provides the implementation logic for VOMS attributes requests.
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of VOMSGenericAttribute in org.italiangrid.voms

Methods in org.italiangrid.voms that return types with arguments of type VOMSGenericAttribute
Modifier and Type
Method
Description
`List<VOMSGenericAttribute>`
VOMSAttribute.`getGenericAttributes()`
This method returns the list of VOMS Generic attributes in this `VOMSAttribute`.

## Uses of VOMSGenericAttribute in org.italiangrid.voms.ac.impl

Classes in org.italiangrid.voms.ac.impl that implement VOMSGenericAttribute
Modifier and Type
Class
Description
`class`
`VOMSGenericAttributeImpl`
The default implementation for VOMS Generic Attributes.
Methods in org.italiangrid.voms.ac.impl that return types with arguments of type VOMSGenericAttribute
Modifier and Type
Method
Description
`List<VOMSGenericAttribute>`
VOMSAttributesImpl.`getGenericAttributes()`
Method parameters in org.italiangrid.voms.ac.impl with type arguments of type VOMSGenericAttribute
Modifier and Type
Method
Description
`void`
VOMSAttributesImpl.`setGenericAttributes(List<VOMSGenericAttribute> genericAttributes)`

## Uses of VOMSGenericAttribute in org.italiangrid.voms.request.impl

Methods in org.italiangrid.voms.request.impl that return types with arguments of type VOMSGenericAttribute
Modifier and Type
Method
Description
`List<VOMSGenericAttribute>`
ACGenerationParams.`getGas()`

## Uses of VOMSGenericAttribute in org.italiangrid.voms.util

Methods in org.italiangrid.voms.util that return types with arguments of type VOMSGenericAttribute
Modifier and Type
Method
Description
`static List<VOMSGenericAttribute>`
GaParser.`parseGaString(String gaString)`